protozero::const_fixed_iterator< T > Class Template Reference

`#include <iterators.hpp>`

## Public Types

using | iterator_category = std::random_access_iterator_tag
using | value_type = T
using | difference_type = std::ptrdiff_t
using | pointer = value_type *
using | reference = value_type &

## Public Member Functions

| const_fixed_iterator (const char *data) noexcept
| const_fixed_iterator (const const_fixed_iterator &) noexcept=default
| const_fixed_iterator (const_fixed_iterator &&) noexcept=default
const_fixed_iterator & | operator= (const const_fixed_iterator &) noexcept=default
const_fixed_iterator & | operator= (const_fixed_iterator &&) noexcept=default
value_type | operator* () const
const_fixed_iterator & | operator++ () noexcept
const_fixed_iterator | operator++ (int) noexcept
bool | operator== (const_fixed_iterator rhs) const noexcept
bool | operator!= (const_fixed_iterator rhs) const noexcept
const_fixed_iterator & | operator-- () noexcept
const_fixed_iterator | operator-- (int) noexcept
const_fixed_iterator & | operator+= (difference_type val) noexcept
const_fixed_iterator & | operator-= (difference_type val) noexcept
value_type | operator[] (difference_type n) const noexcept

## Friends

bool | operator< (const_fixed_iterator lhs, const_fixed_iterator rhs) noexcept
bool | operator> (const_fixed_iterator lhs, const_fixed_iterator rhs) noexcept
bool | operator<= (const_fixed_iterator lhs, const_fixed_iterator rhs) noexcept
bool | operator>= (const_fixed_iterator lhs, const_fixed_iterator rhs) noexcept
const_fixed_iterator | operator+ (const_fixed_iterator lhs, difference_type rhs) noexcept
const_fixed_iterator | operator+ (difference_type lhs, const_fixed_iterator rhs) noexcept
const_fixed_iterator | operator- (const_fixed_iterator lhs, difference_type rhs) noexcept
difference_type | operator- (const_fixed_iterator lhs, const_fixed_iterator rhs) noexcept

## Detailed Description

### template<typename T>
class protozero::const_fixed_iterator< T >

A forward iterator used for accessing packed repeated fields of fixed length (fixed32, sfixed32, float, double).

The documentation for this class was generated from the following file:

- include/protozero/iterators.hpp